#pragma once

#include "ofMain.h"
#include "ofxOpenCv.h"
#include "ofxCv.h"
#include "windows.h"

class ofApp : public ofBaseApp{

	public:
		void setup();
		void update();
		void draw();

		void keyPressed(int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void mouseEntered(int x, int y);
		void mouseExited(int x, int y);
		void windowResized(int w, int h);
		void dragEvent(ofDragInfo dragInfo);
		void gotMessage(ofMessage msg);

		ofVideoGrabber webcam;
		ofxCv::ContourFinder contour;
		cv::Point2f center;
		ofColor color;
		ofColor color_red_laser;
		int color_picked;
		int key_pressed;
		int i;
		int biggest_contour;
		unsigned int selection;
		int calibrated;
		float y_scale;
		float y_offset;
		float x_scale;
		float x_offset;
		
		POINT cp_top_left, cp_top_right, cp_bottom_left, cp_bottom_right;

		
};
